Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | Private Attributes | List of all members
Ipopt::SimpleBacksolver Class Reference

`#include <SensSimpleBacksolver.hpp>`

Inheritance diagram for Ipopt::SimpleBacksolver:
[legend]

## Public Member Functions
| SimpleBacksolver (SmartPtr< PDSystemSolver > pd_solver)
| ~SimpleBacksolver ()
bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class. More...
bool | Solve (SmartPtr< IteratesVector > delta_lhs, SmartPtr< const IteratesVector > delta_rhs)
Public Member Functions inherited from Ipopt::SensBacksolver
| SensBacksolver ()
| This class is the interface to all backsolvers that may be used for the sIPOPT. More...
virtual | ~SensBacksolver ()
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
| SimpleBacksolver ()

## Private Attributes
SmartPtr< PDSystemSolver > | pd_solver_
bool | allow_inexact_

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Definition at line 18 of file SensSimpleBacksolver.hpp.

## Constructor & Destructor Documentation

Ipopt::SimpleBacksolver::SimpleBacksolver | ( | SmartPtr< PDSystemSolver > | pd_solver | ) |

Ipopt::SimpleBacksolver::~SimpleBacksolver | ( |  | ) |
| inline

Definition at line 24 of file SensSimpleBacksolver.hpp.

Ipopt::SimpleBacksolver::SimpleBacksolver | ( |  | ) |
| private

## Member Function Documentation

bool Ipopt::SimpleBacksolver::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

Implementation of the initialization method that has to be overloaded by for each derived class.

Implements Ipopt::AlgorithmStrategyObject.

bool Ipopt::SimpleBacksolver::Solve | ( | SmartPtr< IteratesVector > | delta_lhs,
|  | SmartPtr< const IteratesVector > | delta_rhs
| ) |  |
| virtual

Implements Ipopt::SensBacksolver.

## Member Data Documentation

SmartPtr<PDSystemSolver> Ipopt::SimpleBacksolver::pd_solver_
| private

Definition at line 37 of file SensSimpleBacksolver.hpp.

bool Ipopt::SimpleBacksolver::allow_inexact_
| private

Definition at line 38 of file SensSimpleBacksolver.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensSimpleBacksolver.hpp